"use strict";
var ionic_gesture_config_1 = require('../../../src/gestures/ionic-gesture-config');
function run() {
    describe('IonicGestureConfig', function () {
        it('should create a new instance of hammer', function () {
            // arrange
            var instance = new ionic_gesture_config_1.IonicGestureConfig();
            var expectedParam = { name: "expectedParam" };
            var expectedHammerInstance = { name: "hammer" };
            var actualParam = null;
            var callCount = 0;
            window.Hammer = function (param) {
                callCount++;
                actualParam = param;
                return expectedHammerInstance;
            };
            // act
            var returnValue = instance.buildHammer(expectedParam);
            // assert
            expect(returnValue.name).toEqual(expectedHammerInstance.name);
            expect(callCount).toEqual(1);
            expect(actualParam.name).toEqual(expectedParam.name);
        });
    });
}
exports.run = run;